diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/core/model/test.h ns-3.36/src/core/model/test.h
--- ns-3.35/src/core/model/test.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/core/model/test.h	2022-04-30 18:23:57.798733200 -0700
@@ -28,7 +28,6 @@
 #include <limits>
 #include <stdint.h>
 
-#include "non-copyable.h"
 #include "system-wall-clock-ms.h"
 
 /**
@@ -111,30 +110,6 @@
 // ===========================================================================
 
 /**
- * \ingroup testingimpl
- * \brief Test that an actual and expected (limit) value are equal and report
- * and abort if not.
- */
-#define NS_TEST_ASSERT_MSG_EQ_INTERNAL(actual, limit, msg, file, line)  \
-  do {                                                                  \
-      if (!((actual) == (limit)))                                       \
-        {                                                               \
-          ASSERT_ON_FAILURE;                                            \
-          std::ostringstream msgStream;                                 \
-          msgStream << msg;                                             \
-          std::ostringstream actualStream;                              \
-          actualStream << actual;                                       \
-          std::ostringstream limitStream;                               \
-          limitStream << limit;                                         \
-          ReportTestFailure (std::string (#actual) + " (actual) == " +  \
-                             std::string (#limit) + " (limit)",         \
-                             actualStream.str (), limitStream.str (),   \
-                             msgStream.str (), file, line);             \
-          CONTINUE_ON_FAILURE;                                          \
-        }                                                               \
-    } while (false)
-
-/**
  * \ingroup testing
  *
  * \brief Test that an actual and expected (limit) value are equal and
@@ -163,15 +138,7 @@
  * numbers (float or double) as it is unlikely to do what you expect.
  * Use NS_TEST_ASSERT_MSG_EQ_TOL instead.
  */
-#define NS_TEST_ASSERT_MSG_EQ(actual, limit, msg) \
-  NS_TEST_ASSERT_MSG_EQ_INTERNAL (actual, limit, msg, __FILE__, __LINE__)
-
-/**
- * \ingroup testingimpl
- * \brief Test that an actual and expected (limit) value are equal and report
- * and abort if not.
- */
-#define NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL_INTERNAL(actual, limit, msg, file, line) \
+#define NS_TEST_ASSERT_MSG_EQ(actual, limit, msg)                       \
   do {                                                                  \
       if (!((actual) == (limit)))                                       \
         {                                                               \
@@ -185,8 +152,8 @@
           ReportTestFailure (std::string (#actual) + " (actual) == " +  \
                              std::string (#limit) + " (limit)",         \
                              actualStream.str (), limitStream.str (),   \
-                             msgStream.str (), file, line);             \
-          CONTINUE_ON_FAILURE_RETURNS_BOOL;                             \
+                             msgStream.str (), __FILE__, __LINE__);     \
+          CONTINUE_ON_FAILURE;                                          \
         }                                                               \
     } while (false)
 
@@ -222,18 +189,7 @@
  * This function returns a Boolean value.
  *
  */
-#define NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(actual, limit, msg) \
-  NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL_INTERNAL (actual, limit, msg, __FILE__, __LINE__)
-
-/**
- * \ingroup testingimpl
- * \brief Test that an actual and expected (limit) value are equal and
- * report if not.
- *
- * Required to avoid use of return statement which allows use in
- * methods (esp. callbacks) returning void.
- */
-#define NS_TEST_EXPECT_MSG_EQ_INTERNAL(actual, limit, msg, file, line)  \
+#define NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(actual, limit, msg)          \
   do {                                                                  \
       if (!((actual) == (limit)))                                       \
         {                                                               \
@@ -247,7 +203,8 @@
           ReportTestFailure (std::string (#actual) + " (actual) == " +  \
                              std::string (#limit) + " (limit)",         \
                              actualStream.str (), limitStream.str (),   \
-                             msgStream.str (), file, line);             \
+                             msgStream.str (), __FILE__, __LINE__);     \
+          CONTINUE_ON_FAILURE_RETURNS_BOOL;                             \
         }                                                               \
     } while (false)
 
@@ -280,22 +237,9 @@
  * numbers (float or double) as it is unlikely to do what you expect.
  * Use NS_TEST_EXPECT_MSG_EQ_TOL instead.
  */
-#define NS_TEST_EXPECT_MSG_EQ(actual, limit, msg) \
-  NS_TEST_EXPECT_MSG_EQ_INTERNAL (actual, limit, msg, __FILE__, __LINE__)
-
-// ===========================================================================
-// Test for equality with a provided tolerance (use for floating point
-// comparisons -- both float and double)
-// ===========================================================================
-
-/**
- * \ingroup testingimpl
- * \brief Test that actual and expected (limit) values are equal to
- * plus or minus some tolerance and report and abort if not.
- */
-#define NS_TEST_ASSERT_MSG_EQ_TOL_INTERNAL(actual, limit, tol, msg, file, line) \
+#define NS_TEST_EXPECT_MSG_EQ(actual, limit, msg)                       \
   do {                                                                  \
-      if ((actual) > (limit) + (tol) || (actual) < (limit) - (tol))     \
+      if (!((actual) == (limit)))                                       \
         {                                                               \
           ASSERT_ON_FAILURE;                                            \
           std::ostringstream msgStream;                                 \
@@ -303,19 +247,20 @@
           std::ostringstream actualStream;                              \
           actualStream << actual;                                       \
           std::ostringstream limitStream;                               \
-          limitStream << limit << " +- " << tol;                        \
-          std::ostringstream condStream;                                \
-          condStream << #actual << " (actual) < " << #limit             \
-                     << " (limit) + " << #tol << " (tol) && "           \
-                     << #actual << " (actual) > " << #limit             \
-                     << " (limit) - " << #tol << " (tol)";              \
-          ReportTestFailure (condStream.str (), actualStream.str (),    \
-                             limitStream.str (), msgStream.str (),      \
-                             file, line);                               \
-          CONTINUE_ON_FAILURE;                                          \
+          limitStream << limit;                                         \
+          ReportTestFailure (std::string (#actual) + " (actual) == " +  \
+                             std::string (#limit) + " (limit)",         \
+                             actualStream.str (), limitStream.str (),   \
+                             msgStream.str (), __FILE__, __LINE__);     \
         }                                                               \
     } while (false)
 
+
+// ===========================================================================
+// Test for equality with a provided tolerance (use for floating point
+// comparisons -- both float and double)
+// ===========================================================================
+
 /**
  * \ingroup testing
  *
@@ -375,15 +320,7 @@
  * \param [in] tol Tolerance of the test.
  * \param [in] msg Message that is output if the test does not pass.
  */
-#define NS_TEST_ASSERT_MSG_EQ_TOL(actual, limit, tol, msg)                 \
-  NS_TEST_ASSERT_MSG_EQ_TOL_INTERNAL (actual, limit, tol, msg, __FILE__, __LINE__)
-
-/**
- * \ingroup testingimpl
- * \brief Test that actual and expected (limit) values are equal to
- * plus or minus some tolerance and report and abort if not.
- */
-#define NS_TEST_ASSERT_MSG_EQ_TOL_RETURNS_BOOL_INTERNAL(actual, limit, tol, msg, file, line) \
+#define NS_TEST_ASSERT_MSG_EQ_TOL(actual, limit, tol, msg)              \
   do {                                                                  \
       if ((actual) > (limit) + (tol) || (actual) < (limit) - (tol))     \
         {                                                               \
@@ -401,9 +338,9 @@
                      << " (limit) - " << #tol << " (tol)";              \
           ReportTestFailure (condStream.str (), actualStream.str (),    \
                              limitStream.str (), msgStream.str (),      \
-                             file, line);                               \
-          CONTINUE_ON_FAILURE_RETURNS_BOOL;                             \
-        }                                `                               \
+                             __FILE__, __LINE__);                       \
+          CONTINUE_ON_FAILURE;                                          \
+        }                                                               \
     } while (false)
 
 /**
@@ -468,18 +405,7 @@
  * This function returns a Boolean value.
  *
  */
-#define NS_TEST_ASSERT_MSG_EQ_TOL_RETURNS_BOOL(actual, limit, tol, msg)  \
-  NS_TEST_ASSERT_MSG_EQ_TOL_RETURNS_BOOL_INTERNAL (actual, limit, tol, msg, __FILE__, __LINE__)
-
-/**
- * \ingroup testingimpl
- * \brief Test that actual and expected (limit) values are equal to
- * plus or minus some tolerance and report if not.
- *
- * Required to avoid use of return statement which allows use in
- * methods (esp. callbacks) returning void.
- */
-#define NS_TEST_EXPECT_MSG_EQ_TOL_INTERNAL(actual, limit, tol, msg, file, line) \
+#define NS_TEST_ASSERT_MSG_EQ_TOL_RETURNS_BOOL(actual, limit, tol, msg) \
   do {                                                                  \
       if ((actual) > (limit) + (tol) || (actual) < (limit) - (tol))     \
         {                                                               \
@@ -497,10 +423,12 @@
                      << " (limit) - " << #tol << " (tol)";              \
           ReportTestFailure (condStream.str (), actualStream.str (),    \
                              limitStream.str (), msgStream.str (),      \
-                             file, line);                               \
+                             __FILE__, __LINE__);                       \
+          CONTINUE_ON_FAILURE_RETURNS_BOOL;                             \
         }                                                               \
     } while (false)
 
+
 /**
  * \ingroup testing
  *
@@ -560,21 +488,9 @@
  * \param [in] tol Tolerance of the test.
  * \param [in] msg Message that is output if the test does not pass.
  */
-#define NS_TEST_EXPECT_MSG_EQ_TOL(actual, limit, tol, msg) \
-  NS_TEST_EXPECT_MSG_EQ_TOL_INTERNAL (actual, limit, tol, msg, __FILE__, __LINE__)
-
-// ===========================================================================
-// Test for inequality
-// ===========================================================================
-
-/**
- * \ingroup testingimpl
- * \brief Test that an actual and expected (limit) value are not equal and
- * report and abort if not.
- */
-#define NS_TEST_ASSERT_MSG_NE_INTERNAL(actual, limit, msg, file, line)  \
+#define NS_TEST_EXPECT_MSG_EQ_TOL(actual, limit, tol, msg)              \
   do {                                                                  \
-      if (!((actual) != (limit)))                                       \
+      if ((actual) > (limit) + (tol) || (actual) < (limit) - (tol))     \
         {                                                               \
           ASSERT_ON_FAILURE;                                            \
           std::ostringstream msgStream;                                 \
@@ -582,15 +498,22 @@
           std::ostringstream actualStream;                              \
           actualStream << actual;                                       \
           std::ostringstream limitStream;                               \
-          limitStream << limit;                                         \
-          ReportTestFailure (std::string (#actual) + " (actual) != " +  \
-                             std::string (#limit) + " (limit)",         \
-                             actualStream.str (), limitStream.str (),   \
-                             msgStream.str (), file, line);             \
-          CONTINUE_ON_FAILURE;                                          \
+          limitStream << limit << " +- " << tol;                        \
+          std::ostringstream condStream;                                \
+          condStream << #actual << " (actual) < " << #limit             \
+                     << " (limit) + " << #tol << " (tol) && "           \
+                     << #actual << " (actual) > " << #limit             \
+                     << " (limit) - " << #tol << " (tol)";              \
+          ReportTestFailure (condStream.str (), actualStream.str (),    \
+                             limitStream.str (), msgStream.str (),      \
+                             __FILE__, __LINE__);                       \
         }                                                               \
     } while (false)
 
+// ===========================================================================
+// Test for inequality
+// ===========================================================================
+
 /**
  * \ingroup testing
  *
@@ -615,19 +538,8 @@
  * \param [in] actual Expression for the actual value found during the test.
  * \param [in] limit Expression for the value that actual is tested against.
  * \param [in] msg Message that is output if the test does not pass.
- *
- * \warning Do not use this macro if you are comparing floating point
- * numbers (float or double).  Use NS_TEST_ASSERT_MSG_FLNE instead.
  */
-#define NS_TEST_ASSERT_MSG_NE(actual, limit, msg) \
-  NS_TEST_ASSERT_MSG_NE_INTERNAL (actual, limit, msg, __FILE__, __LINE__)
-
-/**
- * \ingroup testingimpl
- * \brief Test that an actual and expected (limit) value are not equal and
- * report and abort if not.
- */
-#define NS_TEST_ASSERT_MSG_NE_RETURNS_BOOL_INTERNAL(actual, limit, msg, file, line) \
+#define NS_TEST_ASSERT_MSG_NE(actual, limit, msg)                       \
   do {                                                                  \
       if (!((actual) != (limit)))                                       \
         {                                                               \
@@ -641,8 +553,8 @@
           ReportTestFailure (std::string (#actual) + " (actual) != " +  \
                              std::string (#limit) + " (limit)",         \
                              actualStream.str (), limitStream.str (),   \
-                             msgStream.str (), file, line);             \
-          CONTINUE_ON_FAILURE_RETURNS_BOOL;                             \
+                             msgStream.str (), __FILE__, __LINE__);     \
+          CONTINUE_ON_FAILURE;                                          \
         }                                                               \
     } while (false)
 
@@ -671,24 +583,10 @@
  * \param [in] limit Expression for the expected value of the test.
  * \param [in] msg Message that is output if the test does not pass.
  *
- * \warning Do not use this macro if you are comparing floating point
- * numbers (float or double).  Use NS_TEST_ASSERT_MSG_FLNE instead.
- *
  * This function returns a Boolean value.
  *
  */
-#define NS_TEST_ASSERT_MSG_NE_RETURNS_BOOL(actual, limit, msg) \
-  NS_TEST_ASSERT_MSG_NE_RETURNS_BOOL_INTERNAL (actual, limit, msg, __FILE__, __LINE__)
-
-/**
- * \ingroup testingimpl
- * \brief Test that an actual and expected (limit) value are not equal and
- * report if not.
- *
- * Required to avoid use of return statement which allows use in methods
- * (callbacks) returning void.
- */
-#define NS_TEST_EXPECT_MSG_NE_INTERNAL(actual, limit, msg, file, line)  \
+#define NS_TEST_ASSERT_MSG_NE_RETURNS_BOOL(actual, limit, msg)          \
   do {                                                                  \
       if (!((actual) != (limit)))                                       \
         {                                                               \
@@ -702,7 +600,8 @@
           ReportTestFailure (std::string (#actual) + " (actual) != " +  \
                              std::string (#limit) + " (limit)",         \
                              actualStream.str (), limitStream.str (),   \
-                             msgStream.str (), file, line);             \
+                             msgStream.str (), __FILE__, __LINE__);     \
+          CONTINUE_ON_FAILURE_RETURNS_BOOL;                             \
         }                                                               \
     } while (false)
 
@@ -735,20 +634,8 @@
  * numbers (float or double).  Use NS_TEST_EXPECT_MSG_FLNE instead.
  */
 #define NS_TEST_EXPECT_MSG_NE(actual, limit, msg) \
-  NS_TEST_EXPECT_MSG_NE_INTERNAL (actual, limit, msg, __FILE__, __LINE__)
-
-// ===========================================================================
-// Test for less than relation
-// ===========================================================================
-
-/**
- * \ingroup testingimpl
- * \brief Test that an actual value is less than a limit and report and abort
- * if not.
- */
-#define NS_TEST_ASSERT_MSG_LT_INTERNAL(actual, limit, msg, file, line)  \
   do {                                                                  \
-      if (!((actual) < (limit)))                                        \
+      if (!((actual) != (limit)))                                       \
         {                                                               \
           ASSERT_ON_FAILURE;                                            \
           std::ostringstream msgStream;                                 \
@@ -757,37 +644,16 @@
           actualStream << actual;                                       \
           std::ostringstream limitStream;                               \
           limitStream << limit;                                         \
-          ReportTestFailure (std::string (#actual) + " (actual) < " +   \
+          ReportTestFailure (std::string (#actual) + " (actual) != " +  \
                              std::string (#limit) + " (limit)",         \
                              actualStream.str (), limitStream.str (),   \
-                             msgStream.str (), file, line);             \
-          CONTINUE_ON_FAILURE;                                          \
+                             msgStream.str (), __FILE__, __LINE__);     \
         }                                                               \
     } while (false)
 
-/**
- * \ingroup testingimpl
- * \brief Test that an actual value is less than or equal to a limit and report
- * and abort if not.
- */
-#define NS_TEST_ASSERT_MSG_LT_OR_EQ_INTERNAL(actual, limit, msg, file, line)  \
-  do {                                                                  \
-      if (!((actual) <= (limit)))                                       \
-        {                                                               \
-          ASSERT_ON_FAILURE;                                            \
-          std::ostringstream msgStream;                                 \
-          msgStream << msg;                                             \
-          std::ostringstream actualStream;                              \
-          actualStream << actual;                                       \
-          std::ostringstream limitStream;                               \
-          limitStream << limit;                                         \
-          ReportTestFailure (std::string (#actual) + " (actual) < " +   \
-                             std::string (#limit) + " (limit)",         \
-                             actualStream.str (), limitStream.str (),   \
-                             msgStream.str (), file, line);             \
-          CONTINUE_ON_FAILURE;                                          \
-        }                                                               \
-    } while (false)
+// ===========================================================================
+// Test for less than relation
+// ===========================================================================
 
 /**
  * \ingroup testing
@@ -806,38 +672,7 @@
  * \param [in] limit Expression for the limit value of the test.
  * \param [in] msg Message that is output if the test does not pass.
  */
-#define NS_TEST_ASSERT_MSG_LT(actual, limit, msg) \
-  NS_TEST_ASSERT_MSG_LT_INTERNAL (actual, limit, msg, __FILE__, __LINE__)
-
-/**
- * \ingroup testing
- *
- * \brief Test that an actual value is less than or equal to a limit
- * and report and abort if not.
- *
- * Check to see if the actual value found in a test case is less than
- * or equal to the limit value.  If the actual value is lesser or
- * equal nothing happens, but if the check fails, an error is reported
- * in a consistent way and the execution of the current test case is
- * aborted.
- *
- * The message is interpreted as a stream.
- *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the limit value of the test.
- * \param [in] msg Message that is output if the test does not pass.
- */
-#define NS_TEST_ASSERT_MSG_LT_OR_EQ(actual, limit, msg) \
-  NS_TEST_ASSERT_MSG_LT_OR_EQ_INTERNAL (actual, limit, msg, __FILE__, __LINE__)
-
-/**
- * \ingroup testingimpl
- * \brief Test that an actual value is less than a limit and report if not.
- *
- * Required to avoid use of return statement which allows use in methods
- * (callbacks) returning void.
- */
-#define NS_TEST_EXPECT_MSG_LT_INTERNAL(actual, limit, msg, file, line)  \
+#define NS_TEST_ASSERT_MSG_LT(actual, limit, msg)                       \
   do {                                                                  \
       if (!((actual) < (limit)))                                        \
         {                                                               \
@@ -851,19 +686,30 @@
           ReportTestFailure (std::string (#actual) + " (actual) < " +   \
                              std::string (#limit) + " (limit)",         \
                              actualStream.str (), limitStream.str (),   \
-                             msgStream.str (), file, line);             \
+                             msgStream.str (), __FILE__, __LINE__);     \
+          CONTINUE_ON_FAILURE;                                          \
         }                                                               \
     } while (false)
 
 /**
- * \ingroup testingimpl
+ * \ingroup testing
+ *
  * \brief Test that an actual value is less than or equal to a limit
- * and report if not.
+ * and report and abort if not.
  *
- * Required to avoid use of return statement which allows use in
- * methods (callbacks) returning void.
+ * Check to see if the actual value found in a test case is less than
+ * or equal to the limit value.  If the actual value is lesser or
+ * equal nothing happens, but if the check fails, an error is reported
+ * in a consistent way and the execution of the current test case is
+ * aborted.
+ *
+ * The message is interpreted as a stream.
+ *
+ * \param [in] actual Expression for the actual value found during the test.
+ * \param [in] limit Expression for the limit value of the test.
+ * \param [in] msg Message that is output if the test does not pass.
  */
-#define NS_TEST_EXPECT_MSG_LT_OR_EQ_INTERNAL(actual, limit, msg, file, line)  \
+#define NS_TEST_ASSERT_MSG_LT_OR_EQ(actual, limit, msg)                 \
   do {                                                                  \
       if (!((actual) <= (limit)))                                       \
         {                                                               \
@@ -877,7 +723,8 @@
           ReportTestFailure (std::string (#actual) + " (actual) < " +   \
                              std::string (#limit) + " (limit)",         \
                              actualStream.str (), limitStream.str (),   \
-                             msgStream.str (), file, line);             \
+                             msgStream.str (), __FILE__, __LINE__);     \
+          CONTINUE_ON_FAILURE;                                          \
         }                                                               \
     } while (false)
 
@@ -898,8 +745,24 @@
  * \param [in] limit Expression for the limit value of the test.
  * \param [in] msg Message that is output if the test does not pass.
  */
-#define NS_TEST_EXPECT_MSG_LT(actual, limit, msg) \
-  NS_TEST_EXPECT_MSG_LT_INTERNAL (actual, limit, msg, __FILE__, __LINE__)
+#define NS_TEST_EXPECT_MSG_LT(actual, limit, msg)                       \
+  do {                                                                  \
+      if (!((actual) < (limit)))                                        \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit;                                         \
+          ReportTestFailure (std::string (#actual) + " (actual) < " +   \
+                             std::string (#limit) + " (limit)",         \
+                             actualStream.str (), limitStream.str (),   \
+                             msgStream.str (), __FILE__, __LINE__);     \
+        }                                                               \
+    } while (false)
+
 
 /**
  * \ingroup testing
@@ -920,20 +783,8 @@
  * \param [in] msg Message that is output if the test does not pass.
  */
 #define NS_TEST_EXPECT_MSG_LT_OR_EQ(actual, limit, msg) \
-  NS_TEST_EXPECT_MSG_LT_OR_EQ_INTERNAL (actual, limit, msg, __FILE__, __LINE__)
-
-// ===========================================================================
-// Test for greater than relation
-// ===========================================================================
-
-/**
- * \ingroup testingimpl
- * \brief Test that an actual value is greater than a limit and report and abort
- * if not.
- */
-#define NS_TEST_ASSERT_MSG_GT_INTERNAL(actual, limit, msg, file, line)  \
   do {                                                                  \
-      if (!((actual) > (limit)))                                        \
+      if (!((actual) <= (limit)))                                       \
         {                                                               \
           ASSERT_ON_FAILURE;                                            \
           std::ostringstream msgStream;                                 \
@@ -942,37 +793,16 @@
           actualStream << actual;                                       \
           std::ostringstream limitStream;                               \
           limitStream << limit;                                         \
-          ReportTestFailure (std::string (#actual) + " (actual) > " +   \
+          ReportTestFailure (std::string (#actual) + " (actual) < " +   \
                              std::string (#limit) + " (limit)",         \
                              actualStream.str (), limitStream.str (),   \
-                             msgStream.str (), file, line);             \
-          CONTINUE_ON_FAILURE;                                          \
+                             msgStream.str (), __FILE__, __LINE__);     \
         }                                                               \
     } while (false)
 
-/**
- * \ingroup testingimpl
- * \brief Test that an actual value is greater than or equal to a
- * limit and report and abort if not.
- */
-#define NS_TEST_ASSERT_MSG_GT_OR_EQ_INTERNAL(actual, limit, msg, file, line)  \
-  do {                                                                  \
-      if (!((actual) >= (limit)))                                       \
-        {                                                               \
-          ASSERT_ON_FAILURE;                                            \
-          std::ostringstream msgStream;                                 \
-          msgStream << msg;                                             \
-          std::ostringstream actualStream;                              \
-          actualStream << actual;                                       \
-          std::ostringstream limitStream;                               \
-          limitStream << limit;                                         \
-          ReportTestFailure (std::string (#actual) + " (actual) > " +   \
-                             std::string (#limit) + " (limit)",         \
-                             actualStream.str (), limitStream.str (),   \
-                             msgStream.str (), file, line);             \
-          CONTINUE_ON_FAILURE;                                          \
-        }                                                               \
-    } while (false)
+// ===========================================================================
+// Test for greater than relation
+// ===========================================================================
 
 /**
  * \ingroup testing
@@ -992,38 +822,7 @@
  * \param [in] limit Expression for the limit value of the test.
  * \param [in] msg Message that is output if the test does not pass.
  */
-#define NS_TEST_ASSERT_MSG_GT(actual, limit, msg) \
-  NS_TEST_ASSERT_MSG_GT_INTERNAL (actual, limit, msg, __FILE__, __LINE__)
-
-/**
- * \ingroup testing
- *
- * \brief Test that an actual value is greater than or equal to a
- * limit and report and abort if not.
- *
- * Check to see if the actual value found in a test case is greater
- * than or equal to the limit value.  If the actual value is greater
- * nothing happens, but if the check fails, an error is reported in a
- * consistent way and the execution of the current test case is
- * aborted.
- *
- * The message is interpreted as a stream.
- *
- * \param [in] actual Expression for the actual value found during the test.
- * \param [in] limit Expression for the limit value of the test.
- * \param [in] msg Message that is output if the test does not pass.
- */
-#define NS_TEST_ASSERT_MSG_GT_OR_EQ(actual, limit, msg) \
-  NS_TEST_ASSERT_MSG_GT_OR_EQ_INTERNAL (actual, limit, msg, __FILE__, __LINE__)
-
-/**
- * \ingroup testingimpl
- * \brief Test that an actual value is greater than a limit and report if not.
- *
- * Required to avoid use of return statement which allows use in methods
- * (callbacks) returning void.
- */
-#define NS_TEST_EXPECT_MSG_GT_INTERNAL(actual, limit, msg, file, line)  \
+#define NS_TEST_ASSERT_MSG_GT(actual, limit, msg)                       \
   do {                                                                  \
       if (!((actual) > (limit)))                                        \
         {                                                               \
